Debian Bug report logs - #157916
RFP: rsbac -- Rule Set Based Access Control for the linux kernel.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sebastian Andersson <sa@hogia.net>

Date: Fri, 23 Aug 2002 06:48:03 UTC

Severity: wishlist

Done: Javier Fernández-Sanguino Peña <jfs@computer.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#157916; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Andersson <sa@hogia.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Andersson <sa@hogia.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: rsbac -- Rule Set Based Access Control for the linux kernel.
Date: Fri, 23 Aug 2002 08:46:51 +0200
Package: wnpp
Version: N/A; reported 2002-08-23
Severity: wishlist

* Package name    : rsbac
  Version         : 1.2.1
  Upstream Author : Amon Ott <ao@rsbac.org>
* URL             : http://www.rsbac.org/
* License         : GPL
  Description     : Rule Set Based Access Control for the linux kernel.

RSBAC contains a kernel patch and a set of utilities for configuring
the security settings. The system implements many access control models
(ACL lists, MAC, RC etc) and it is a system for implementing new
access control models (as kernel modules) that can cooperate with other
RSBAC access control models.
RSBAC also implements a superset of FreeBSDs jail syscall.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux gamegirl 2.4.18-k7 #1 Sun Apr 14 13:19:11 EST 2002 i686
Locale: LANG=sv_SE, LC_CTYPE=sv_SE




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#157916; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 157916@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Christoph Martin <martin@uni-mainz.de>, debian-devel@lists.debian.org
Cc: 157916@bugs.debian.org, sa@hogia.net
Subject: Re: RSBAC support in Debian
Date: Sat, 7 Dec 2002 22:43:42 +0100
On Wed, 6 Nov 2002 12:29, Christoph Martin wrote:
> In http://www.debian.org/doc/FAQ/ch-nexttime.html it says that work on
> RSBAC support in Debian is in progress. I have not seen any discussion
> of it on the list. However there is an RFP:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=157916
>
> Is anybody working on this?

I have built some kernel packages for RSBAC and put them online on 
http://www.coker.com.au/rsbac/ .

Please check them out, if people think that they are OK then I'll upload them.

I don't want to maintain these packages long-term as I have no plans to use 
RSBAC.  After getting through the configuration phase I decided that I don't 
like it as much as SE Linux, grsec, and OpenWall.


The packages on my site work well enough to produce a kernel package with 
make-kpkg.  I have not tried booting from such a package as I don't have the 
user-space tools (or the time to spare).

Even though I don't plan to use RSBAC myself I think it's a worthy thing to 
have in Debian, so I'm happy to maintain the kernel packages for a while 
(sans proper testing) to help kick-start the Debian/RSBAC project.


Russell Coker




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#157916; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 157916@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Christoph Martin <martin@uni-mainz.de>, debian-devel@lists.debian.org
Cc: 157916@bugs.debian.org, sa@hogia.net
Subject: Re: RSBAC support in Debian
Date: Tue, 17 Dec 2002 16:46:06 +0100
On Sat, 7 Dec 2002 22:43, Russell Coker wrote:
> On Wed, 6 Nov 2002 12:29, Christoph Martin wrote:
> > In http://www.debian.org/doc/FAQ/ch-nexttime.html it says that work on
> > RSBAC support in Debian is in progress. I have not seen any discussion
> > of it on the list. However there is an RFP:
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=157916
> >
> > Is anybody working on this?
>
> I have built some kernel packages for RSBAC and put them online on
> http://www.coker.com.au/rsbac/ .
>
> Please check them out, if people think that they are OK then I'll upload
> them.

I have not received any email response to this message and I conclude that 
there is no significant interest in using RSBAC in Debian at the moment.

I will not do any more work on RSBAC at the moment for this reason and because 
I believe that RSBAC is overly complex to use.

Could we get the web page that started this discussion changed to refer to SE 
Linux instead?  SE Linux in Debian is getting some use and is under very 
active development.

-- 
http://www.coker.com.au/selinux/   My NSA Security Enhanced Linux packages
http://www.coker.com.au/bonnie++/  Bonnie++ hard drive benchmark
http://www.coker.com.au/postal/    Postal SMTP/POP benchmark
http://www.coker.com.au/~russell/  My home page




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#157916; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christoph Martin <martin@uni-mainz.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 157916@bugs.debian.org (full text, mbox):

From: Christoph Martin <martin@uni-mainz.de>
To: Russell Coker <russell@coker.com.au>
Cc: debian-devel@lists.debian.org, 157916@bugs.debian.org, sa@hogia.net
Subject: Re: RSBAC support in Debian
Date: 17 Dec 2002 19:50:06 +0100
[Message part 1 (text/plain, inline)]
Am Die, 2002-12-17 um 16.46 schrieb Russell Coker:
> On Sat, 7 Dec 2002 22:43, Russell Coker wrote:
> > On Wed, 6 Nov 2002 12:29, Christoph Martin wrote:
> > > In http://www.debian.org/doc/FAQ/ch-nexttime.html it says that work on
> > > RSBAC support in Debian is in progress. I have not seen any discussion
> > > of it on the list. However there is an RFP:
> > > http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=157916
> > >
> > > Is anybody working on this?
> >
> > I have built some kernel packages for RSBAC and put them online on
> > http://www.coker.com.au/rsbac/ .
> >
> > Please check them out, if people think that they are OK then I'll upload
> > them.
> 
> I have not received any email response to this message and I conclude that 
> there is no significant interest in using RSBAC in Debian at the moment.
> 
> I will not do any more work on RSBAC at the moment for this reason and because 
> I believe that RSBAC is overly complex to use.

Sorry for not answering before. I was interested to have RSBAC in
Debian, but I have no time to work on it at the moment. I would have
tried it on one of my firewall machines, but I also think that it is to
complex to get it running without a lot of time of experimenting.

My original issue was to make my Debian boxes more secure and I found
some information about RSBAC which sounded really good. But perhaps I
should try SE Linux instead.

Christoph

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#157916; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Andersson <sa@hogia.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 157916@bugs.debian.org (full text, mbox):

From: Sebastian Andersson <sa@hogia.net>
To: Russell Coker <russell@coker.com.au>
Cc: Christoph Martin <martin@uni-mainz.de>, debian-devel@lists.debian.org, 157916@bugs.debian.org
Subject: Re: RSBAC support in Debian
Date: Thu, 19 Dec 2002 13:05:39 +0100
On Tue, Dec 17, 2002 at 04:46:06PM +0100, Russell Coker wrote:
> I have not received any email response to this message and I conclude that 
> there is no significant interest in using RSBAC in Debian at the moment.

Peter Busser has started a project called "Truested Debian" at:
http://www.trusteddebian.org/

> Could we get the web page that started this discussion changed to refer to SE 
> Linux instead?  SE Linux in Debian is getting some use and is under very 
> active development.

Perhaps both should be mentioned?

Regards,
/Sebastian
-- 
                             .oooO o,o Oooo.
                             (   ) \_/ (   )      (o_
"Life is not fair, but root   \ (  /|\  ) / (o_   //\
password helps!" -- The BOFH   \_)     (_/  (/)_  V_/_



Reply sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sebastian Andersson <sa@hogia.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 157916-close@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: 157916-close@bugs.debian.org
Subject: Rsbac packages already available
Date: Thu, 18 Aug 2005 16:04:51 +0200
[Message part 1 (text/plain, inline)]
There are RSBAC packages available in the Debian sid archive. These
packages, however, do not work at the moment due to changes in the
kernel source. Help is needed to fix the RC bugs in them but this 
RFP is no longer needed and should have been closed a long time ago.

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 16:03:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 03:48:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.